GH-RUN-VIEW(1)

NAME

gh-run-view - View a summary of a workflow run

SYNOPSIS

gh run view [<run-id>] [flags]

OPTIONS

--exit-status
    Exit with non-zero status if run failed

-j, --job <string>
    View a specific job ID from a run

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

--log
    View full log for either a run or specific job

--log-failed
    View the log for any failed steps in a run or specific job

-t, --template <string>
    Format JSON output using a Go template

-v, --verbose
    Show job steps

-w, --web
    Open run in the browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    # Interactively select a run to view, optionally selecting a single job
    $ gh run view
    # View a specific run
    $ gh run view 12345
    # View a specific job within a run
    $ gh run view --job 456789
    # View the full log for a specific job
    $ gh run view --log --job 456789
    # Exit non-zero if a run failed
    $ gh run view 0451 --exit-status && echo "run pending or passed"

SEE ALSO

gh-run(1)